Qlik Community

Support Updates Blog

Important and useful support information about end-of-product support, new service releases, and general support topics.

Jamie_Gregory
Community Manager
Community Manager

Hello Qlik Users!

An issue has been identified with Qlik Replicate 6.3.0.312 on Linux when upgrading to version 6.5.0.717. The repctl.cfg file may not be merged correctly with the new version. The following error message may be received during the upgrade:

# User=username verbose=true rpm -ivh areplicate-6.5.0-717.x86_64.rpm
Preparing...                         ################################# [100%]
pre install ...
new installation ...
user=username
group=groupname
Updating / installing...
  1:areplicate-6.5.0-717            ################################# [100%]
post install ...
changing ownership of /opt/attunity/replicate to attunity:attunity
There is a new configuration file to replace /opt/attunity/replicate/bin/repctl.cfg
You will have to merge your old configuration with the new file
The service is not being restarted
See documentation for instructions
warning: %post(areplicate-6.5.0-717.x86_64) scriptlet failed, exit status 7

There are currently two workarounds:

  1. Manually move the services.list.txt file and then run the arep.sh script but the installation should handle this and create the areplicate script.
  2.  Use the –noscripts option of rpm –e to force removal, move repctl.cfg, reinstall, stop the Qlik Replicate service, merge repctl.cfg files, and restart.

For more information on this issue, please see Replicate fails to upgrade on Linux when replacing the repctl.cfg file. The article will be updated as we gain more information.

Please let us know if you have any questions in the comments below. If you found this post useful, please give it a like and make sure you subscribe to the Qlik Support Updates Blog.

Kind regards,

Qlik Global Support

2 Comments